Skip to content

FreeType » Docs » Controlling FreeType Modules » The Type 1 and CID drivers

# The Type 1 and CID drivers

## Synopsis

It is possible to control the behaviour of FreeType's Type 1 and Type 1 CID drivers with `FT_Property_Set` and `FT_Property_Get`.

Behind the scenes, both drivers use the Adobe CFF engine for hinting; however, the used properties must be specified separately.

The Type 1 driver's module name is ‘type1’; the CID driver's module name is ‘t1cid’.

Available properties are `hinting-engine`, `no-stem-darkening`, `darkening-parameters`, and `random-seed`, as documented in the ‘Driver properties’ section.

Please see the ‘The CFF driver’ section for more details on the new hinting engine.